summaryrefslogtreecommitdiff
path: root/scripts/scan-pkgs.sh
diff options
context:
space:
mode:
authorLinux User <wbx@linux.(none)>2009-10-01 15:48:47 +0200
committerLinux User <wbx@linux.(none)>2009-10-01 15:48:47 +0200
commit22bb527c786d6631eec13f2328da05437a1e46b5 (patch)
tree4cc27dacae51429414de8362c66a09f64e35b840 /scripts/scan-pkgs.sh
parent1d2ddabc7b9d0b63887058f6799c281cfa1f1370 (diff)
parent7f46305c0aa9963be7b87489d52876916c8643e0 (diff)
Merge branch 'master' of git+ssh://openadk.org/git/openadk
Conflicts: scripts/scan-pkgs.sh
Diffstat (limited to 'scripts/scan-pkgs.sh')
-rw-r--r--scripts/scan-pkgs.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/scripts/scan-pkgs.sh b/scripts/scan-pkgs.sh
index 1faaeaeb8..0107ee4bd 100644
--- a/scripts/scan-pkgs.sh
+++ b/scripts/scan-pkgs.sh
@@ -28,6 +28,9 @@ if [[ -n $ADK_NATIVE ]];then
NEED_CURLDEV="$NEED_CURLDEV git"
NEED_SSLDEV="$NEED_SSLDEV git"
fi
+ if [[ -n $ADK_TARGET_PACKAGE_RPM ]]; then
+ NEED_RPM="$NEED_RPM rpm"
+ fi
fi
if [[ -n $ADK_PACKAGE_ALSA_UTILS ]]; then
@@ -125,6 +128,13 @@ if [[ -n $ADK_USE_CCACHE ]]; then
fi
fi
+if [[ -n $NEED_RPM ]]; then
+ if ! which rpmbuild >/dev/null 2>&1; then
+ echo >&2 You need rpmbuild to to use $NEED_RPM package backend
+ out=1
+ fi
+fi
+
#if [[ -n $ADK_COMPILE_MYSQL && $OStype != Linux ]]; then
# echo >&2 mySQL does not build on non-GNU/Linux.
# out=1